summarylogtreecommitdiffstats
path: root/zfs.install
diff options
context:
space:
mode:
authorJesus Alvarez2017-12-13 14:09:03 -0800
committerJesus Alvarez2017-12-13 14:09:03 -0800
commitf02469af6e1bec435f9b83dd35eb1a20fc56c00d (patch)
treebfbcc7a6a870e3ca9ead7acf521634a9b84053ee /zfs.install
downloadaur-f02469af6e1bec435f9b83dd35eb1a20fc56c00d.tar.gz
Initial commit
Diffstat (limited to 'zfs.install')
-rw-r--r--zfs.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/zfs.install b/zfs.install
new file mode 100644
index 000000000000..fc2f153a96de
--- /dev/null
+++ b/zfs.install
@@ -0,0 +1,22 @@
+post_install() {
+ check_initramfs
+}
+
+post_remove() {
+ check_initramfs 'remove'
+}
+
+post_upgrade() {
+ check_initramfs
+}
+
+check_initramfs() {
+ echo ">>> Updating ZFS module dependencies"
+ depmod -a 4.13.12-2-vfio
+ MK_CONF=$(grep -v '#' /etc/mkinitcpio.conf | grep zfs >/dev/null; echo $?);
+ if [[ ${MK_CONF} == '0' && $1 == 'remove' ]]; then
+ echo '>>> The ZFS packages have been removed, but "zfs" remains in the "hooks"'
+ echo '>>> list in mkinitcpio.conf! You will need to remove "zfs" from the '
+ echo '>>> "hooks" list and then regenerate the initial ramdisk.'
+ fi
+}